% Constructor of the element vector class.
% Always takes either zero or one argument.  For no arguments, the default
% object is created.  For one argument, the argument may be either an
% object of the same type, in which case the copy is created; or, it may be
% a struct with the following fields representing options.
% Options:
% eqnums= equation numbers,
% vec = data matrix
%
function self = elevec (varargin)
    class_name='elevec';
    parent=classbase;
    if (nargin == 0)
        self.eqnums = [];
        self.vec = [];
        self = class(self,class_name,parent);
    elseif (nargin == 1)
        arg = varargin{1};
        if strcmp(class(arg),class_name) % copy constructor.
            self = arg;
            return;
        else
            options =varargin{1};
            self.eqnums = options.eqnums;
            self.vec = options.vec;
            n = length(self.vec);
            if (length(self.eqnums) ~= n)
                error('Size mismatch!');
            end
            self = class(self,class_name,parent);
            return;
        end
    else
        error('Illegal arguments!');
    end
    return;
end


