% Map a point from parametric coordinates to physical coordinates.
%   Call as:
%      xyz = map_to_xyz(self,pc,x)
%   where
%      xyz=array of coordinates, x, y (and z, for 3D cells), 
%         size(xyz) = [1,dim]
%      pc=parametric coordinates length(pc)=dim
%      x=array of spatial coordinates of the nodes, size(x) = [nbfuns,dim]
function xyz = map_to_xyz(self,pc,x)
    N = Nmat(self,pc);
    xyz = N' * x;
end

